Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global enable_tests 1

%global barename regenerator

%global commit0 875b3b8e0d6f17065dede5ef0e0bac341956bf90
%global shortcommit0 %(c=%{commit0}; echo ${c:0:7})

Name:               nodejs-regenerator
Version:            0.8.46
Release:            alt1_6
Summary:            Source transformer enabling ECMAScript 6 generators

License:            BSD
URL:                https://www.npmjs.org/package/regenerator
Source0:            https://github.com/facebook/%{barename}/archive/%{commit0}.tar.gz#/%{barename}-%{shortcommit0}.tar.gz
BuildArch:          noarch

BuildRequires:      rpm-build-nodejs node-devel

%if 0%{?enable_tests}
BuildRequires:      npm(commoner)
BuildRequires:      npm(defs)
BuildRequires:      npm(esprima-fb)
BuildRequires:      npm(mocha)
BuildRequires:      npm(recast)
BuildRequires:      npm(semver)
BuildRequires:      npm(through)
%endif
Source44: import.info


%description
This package implements a fully-functional source transformation that takes the
proposed syntax for generators/yield from future versions of JS (ECMAScript6 or
ES6, experimentally implemented in Node.js v0.11) and spits out efficient
JS-of-today (ES5) that behaves the same way.


%package runtime
Group: Development/Other
Version:            0.9.5
Summary:            Standalone runtime for Regenerator-compiled generator and async functions

%description runtime
Standalone runtime for Regenerator-compiled generator and async functions.


%prep
%setup -qn %{barename}-%{commit0}

# Remove bundled node_modules if there are any..
rm -rf node_modules/

%nodejs_fixdep esprima-fb
%nodejs_fixdep recast
%nodejs_fixdep through '2.3.x'

%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/regenerator
cp -pr package.json main.js runtime.js lib/ bin/ \
    %{buildroot}%{nodejs_sitelib}/regenerator

mkdir -p %{buildroot}%{_bindir}
ln -s %{nodejs_sitelib}/%{barename}/bin/regenerator %{buildroot}%{_bindir}/

# runtime
mkdir -p %{buildroot}%{nodejs_sitelib}/regenerator-runtime
cp -pr packages/regenerator-runtime/package.json \
    packages/regenerator-runtime/*.js \
    %{buildroot}%{nodejs_sitelib}/regenerator-runtime

%nodejs_symlink_deps

%check
%if 0%{?enable_tests}
%nodejs_symlink_deps --check
ln -s ../packages/regenerator-runtime node_modules/regenerator-runtime
node test/run.js
%endif


%files
%doc README.md
%doc --no-dereference LICENSE
%{_bindir}/regenerator
%{nodejs_sitelib}/regenerator/

%files runtime
%doc packages/regenerator-runtime/README.md
%doc --no-dereference LICENSE
%{nodejs_sitelib}/regenerator-runtime/


%changelog
* Thu Mar 28 2019 Igor Vlasenko <viy@altlinux.ru> 0.8.46-alt1_6
- new version

